%define _optlevel s

Name: knetstats
Version: 1.6.1
Release: alt1

Group: Monitoring
Summary: Network monitor applet for KDE
Url: http://knetstats.sourceforge.net/
License: GPL

Source: %name-%version.tar.bz2

# Automatically added by buildreq on Fri Jan 26 2007
BuildRequires: gcc-c++ libstdc++-devel kdelibs-devel libjpeg-devel xorg-x11-devel xml-utils

%description
A simple KDE network monitor that show rx/tx LEDs of any network interface
on a system tray icon

%prep
%setup -q

#%__subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
#%__subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
#%__subst "s/\-lkdecore/-lkdecore -lpthread/g" admin/acinclude.m4.in
#%__subst "s/\-lkdefx/-lkdefx -lpthread/g" admin/acinclude.m4.in
#%__subst 's,\.la,\.so,' admin/acinclude.m4.in
%make -f admin/Makefile.common cvs
#./autogen.sh

%build
export PATH="$PWD:$PATH"
%add_optflags -I%_includedir/linux-libc-headers/include
#export CFLAGS="%optflags" CXXFLAGS="%optflags""
export QTDIR="%_qt3dir" KDEDIR="%prefix"
%configure \
    --enable-final \
    --disable-static \
    --enable-shared \
    --disable-rpath \
    --enable-new-ldflags \
    --enable-gcc-hidden-visibility \
    --enable-pch

%make

%install
export PATH="$PWD:$PATH"
%make install DESTDIR=%buildroot

pushd %buildroot/%_datadir/locale/
for d in *
do
    new_d=`echo $d| sed "s|_.*||"`
    if [ "$d" != "$new_d" ]
    then
	rm -rf "$new_d"
	mv "$d" "$new_d"
    fi
done
popd

#mkdir -p %buildroot/%_menudir/
#%Kd2m %name Applications/Monitoring %buildroot/%_datadir/applnk/Internet/%name.desktop %buildroot/%_menudir/%name kde

#mkdir -p %buildroot/%_datadir/applications/kde
#mv %buildroot/%_datadir/applnk/Internet/%name.desktop %buildroot/%_datadir/applications/kde

%find_lang --with-kde %name


%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
#%doc CHANGELOG README
%_bindir/%name
%_datadir/apps/%name
%_iconsdir/*/*/apps/*
%_datadir/applications/kde/%name.desktop
#%_menudir/%name

%changelog
* Fri Jan 26 2007 Sergey V Turchin <zerg at altlinux dot org> 1.6.1-alt1
- new version

* Thu Jul 20 2006 Sergey V Turchin <zerg at altlinux dot org> 1.6-alt1
- new version

* Tue Jan 24 2006 Sergey V Turchin <zerg at altlinux dot org> 1.5-alt1
- initial specfile
